#= init_data プログラム用 NAMELIST ファイル (T85L20 用)
#
#= NAMELIST file for "init_data" (for T85L20)
#
# Copyright (C) GFD Dennou Club, 2008-2009. All rights reserved.
#
# Note that Japanese and English are described in parallel.
#
&mpi_messagecntl_nml
  Output_Rank = 0
  	                      ! MPI 出力を行う rank
  	                      ! MPI rank for output messages
/ 

&restart_file_io_nml
  OutputFile = 'init_T85L20.nc', 
                              ! 初期値データのファイル名
                              ! filename of initial data
/
&fileset_nml
  FileTitle = 'Initial data for dcpam5', 
                              ! 出力データファイルの表題.
                              ! Title of output data files
  FileSource = 'dcpam5 $Name:  $ (http://www.gfd-dennou.org/library/dcpam)', 
                              ! データファイル作成の手段. 
                              ! Source of data file
  FileInstitution = 'GFD Dennou Club (http://www.gfd-dennou.org)'
                              ! データファイルを最終的に変更した組織/個人. 
                              ! Institution or person that changes data files for the last time
/
&gridset_nml
  nmax = 85,                  ! 最大全波数. 
                              ! Maximum truncated wavenumber
  imax = 256,                 ! 経度格子点数. 
                              ! Number of grid points in longitude
  jmax = 128,                 ! 緯度格子点数. 
                              ! Number of grid points in latitude
  kmax = 20,                  ! 鉛直層数. 
                              ! Number of vertical level
  MpiLayerDivNum = 2          ! 層方向/経度方向分割数
                              ! Number of layer/longitude division
/
&timeset_nml
  RestartTimeValue  = 0.0, 
                              ! リスタート開始時刻. 
                              ! Restart time of calculation
  RestartTimeUnit   = 'day', 
                              ! リスタート開始時刻の単位. 
                              ! Unit of restart time of calculation
!!$  Date = 2008, 10, 1, 12, 0, 0, 09, 00, 
!!$                              ! 計算開始日時. (年月日時分秒, タイムゾーン時分)
!!$                              ! Start date of calculation. 
!!$                              ! (year, month, day, hour, minute, second, 
!!$                              ! and hour, minute of time zone)
!!$  Calendar = 'gregorian', 
!!$  Calendar = 'julian', 
!!$  Calendar = 'noleap', 
!!$  Calendar = 'cyclic', 
!!$                              ! 暦法. Calender
/
&axesset_nml
  Sigma = 1.00, 0.95, 0.90, 0.85, 0.80, 0.75, 0.70, 0.65, 0.60, 0.55, 0.50, 0.45, 0.40, 0.35, 0.30, 0.25, 0.20, 0.15, 0.10, 0.05, 0.0,
                              ! $ \sigma $ レベル (半整数). 
                              ! Half $ \sigma $ level
/
&composition_nml
 ncmax     = 2,
 Names     = 'QH2OVap', 'Qpt',
 LongNames = 'specific humidity','passive tracer'
 FlagAdv     = .true.,.true.,
 FlagMassFix = .true.,.true.,
 FlagVDiff   = .true.,.false.
/
&constants_nml
  RPlanet    = 6.371e6,
                              ! $ a $ [m]. 
                              ! 惑星半径. 
                              ! Radius of planet
  Omega      = 7.292e-5, 
                              ! $ \Omega $ [s-1]. 
                              ! 回転角速度. 
                              ! Angular velocity
  Grav       = 9.8, 
                              ! $ g $ [m s-2]. 
                              ! 重力加速度. 
                              ! Gravitational acceleration
  CpDry      = 1004.0, 
                              ! $ C_p $ [J kg-1 K-1]. 
                              ! 乾燥大気の定圧比熱. 
                              ! Specific heat of air at constant pressure
  MolWtDry   = 28.98d-3
                              ! $ M $ [kg mol-1].
                              ! 乾燥大気の平均分子量.
                              ! Mean molecular weight of dry air
/
&initial_data_nml
  PsAvr   = 1.0e+5, 
/
